package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 联系咨询 
 * </p>
 *
 * @author yansen
 * @since 2020-06-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOfficeContact implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表单编号
     */
    @TableId(value = "serial_no", type = IdType.INPUT)
    private String serialNo;

    /**
     * 公司名称
     */
    private String company;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 姓名
     */
    private String name;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 需求
     */
    private String demand;

    /**
     * 备注
     */
    private String remark;

    /**
     * 跟进
     */
    private String follow;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;
}
