package com.huiju.estateagents.property.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 酒店图片
 * </p>
 *
 * @author jobob
 * @since 2019-05-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TpHotelImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 小区ID
     */
    private Integer orgId;

    /**
     * 酒店ID
     */
    private Integer hotelId;

    /**
     * 酒店图片地址
     */
    private String imgUrl;

    /**
     * 酒店图片类型 1是首页图片每个酒店唯一，2是banner图片
     */
    private String imgType;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
